## kapidox-6.19.0-1.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(KApiDox NONE)

set(KF_VERSION "6.19.0") # handled by release scripts

if(DO_BOOTSTRAP)
    include(FindUnixCommands)

    if(WIN32)
        # Needs native path and extra escaping of spaces
        file(TO_NATIVE_PATH "${CMAKE_BINARY_DIR}" BINARY_DIR)
    else()
        set(BINARY_DIR ${CMAKE_BINARY_DIR})
    endif()

    add_custom_target(build ALL
        COMMAND ${BASH} bootstrap-devenv.sh
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )
endif()

# A dummy install part to fulfill needs of kdesrc-build and possible make installs
install(RUNTIME_DEPENDENCY_SET kapidox OPTIONAL)

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Maintainer: Antonio Rojas <arojas@archlinux.org>
# Contributor: Andrea Scarpino <andrea@archlinux.org>

pkgname=kapidox
pkgver=6.19.0
pkgrel=1
pkgdesc='Frameworks API Documentation Tools'
arch=(any)
url='https://community.kde.org/Frameworks'
license=(LGPL)
depends=(python-jinja
         python-yaml)
makedepends=(python-build
             python-installer
             python-wheel
             python-setuptools
             qt6-base)
groups=(kf6)
source=(https://download.kde.org/stable/frameworks/${pkgver%.*}/$pkgname-$pkgver.tar.xz{,.sig})
sha256sums=('7d0e85aed091cf8c725ae4fb965c403a89443a269e539ea3c92b2477f8528c53'
            'SKIP')
validpgpkeys=(53E6B47B45CEA3E0D5B7457758D0EE648A48B3BB # David Faure <faure@kde.org>
              E0A3EB202F8E57528E13E72FD7574483BB57B18D # Jonathan Esk-Riddell <jr@jriddell.org>
              90A968ACA84537CC27B99EAF2C8DF587A6D4AAC1 # Nicolas Fella <nicolas.fella@kde.org>
              )

build() {
  cd $pkgname-$pkgver
  python -m build --wheel --no-isolation
}

package() {
  cd $pkgname-$pkgver
  python -m installer --destdir="$pkgdir" dist/*.whl
}
